diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf
index b3f7873..de4b754 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf
@@ -1611,27 +1881,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Doukkala-Abda
+    // Drâa-Tafilalet
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Doukkala-Abda">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Draa-Tafilalet">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Doukkala-Abda</rdfs:label>
-      <skos:definition>The region of Doukkala-Abda in the country of Morocco</skos:definition>
+      <rdfs:label>Drâa-Tafilalet</rdfs:label>
+      <skos:definition>The region of Drâa-Tafilalet in the country of Morocco</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Morocco"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Doukkala-Abda</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Drâa-Tafilalet</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Region"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-10">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-08">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the region of Doukkala-Abda in the country of Morocco</skos:definition>
-      <rdfs:label>MA-10</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-10</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Doukkala-Abda"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Doukkala-Abda"/>
+      <skos:definition>subdivision code for the region of Drâa-Tafilalet in the country of Morocco</skos:definition>
+      <rdfs:label>MA-08</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-08</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Draa-Tafilalet"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Draa-Tafilalet"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -1639,27 +1909,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Safi
+    // Midelt
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Safi">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Midelt">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Safi</rdfs:label>
-      <skos:definition>The province of Safi in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Doukkala-Abda"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Safi</lcc-cr:hasLocalShortName>
+      <rdfs:label>Midelt</rdfs:label>
+      <skos:definition>The province of Midelt in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Draa-Tafilalet"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Midelt</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-SAF">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-MID">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Safi in the country of Morocco</skos:definition>
-      <rdfs:label>MA-SAF</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-SAF</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Safi"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Safi"/>
+      <skos:definition>subdivision code for the province of Midelt in the country of Morocco</skos:definition>
+      <rdfs:label>MA-MID</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-MID</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Midelt"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Midelt"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -1669,87 +1939,57 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // El Jadida
+    // Tinghir
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;ElJadida">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Tinghir">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>El Jadida</rdfs:label>
-      <skos:definition>The province of El Jadida in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Doukkala-Abda"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">El Jadida</lcc-cr:hasLocalShortName>
+      <rdfs:label>Tinghir</rdfs:label>
+      <skos:definition>The province of Tinghir in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Draa-Tafilalet"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Tinghir</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-JDI">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-TIN">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of El Jadida in the country of Morocco</skos:definition>
-      <rdfs:label>MA-JDI</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-JDI</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;ElJadida"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;ElJadida"/>
+      <skos:definition>subdivision code for the province of Tinghir in the country of Morocco</skos:definition>
+      <rdfs:label>MA-TIN</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-TIN</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Tinghir"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Tinghir"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
 
 
-
-
-  <!--
-    ///////////////////////////////////////////////////////////////////////////////////////
-    //
-    // Guelmim-Es Semara
-    //
-    ///////////////////////////////////////////////////////////////////////////////////////
-    -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Guelmim-EsSemara">
-      <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Guelmim-Es Semara</rdfs:label>
-      <skos:definition>The region of Guelmim-Es Semara in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Morocco"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Guelmim-Es Semara</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Region"/>
-      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
-   </owl:NamedIndividual>
-
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-14">
-      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the region of Guelmim-Es Semara in the country of Morocco</skos:definition>
-      <rdfs:label>MA-14</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-14</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Guelmim-EsSemara"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Guelmim-EsSemara"/>
-      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
-      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
-   </owl:NamedIndividual>
-
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Tan-Tan
+    // Errachidia
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Tan-Tan">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Errachidia">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Tan-Tan</rdfs:label>
-      <skos:definition>The province of Tan-Tan in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Guelmim-EsSemara"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Tan-Tan</lcc-cr:hasLocalShortName>
+      <rdfs:label>Errachidia</rdfs:label>
+      <skos:definition>The province of Errachidia in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Draa-Tafilalet"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Errachidia</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-TNT">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-ERR">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Tan-Tan in the country of Morocco</skos:definition>
-      <rdfs:label>MA-TNT</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-TNT</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Tan-Tan"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Tan-Tan"/>
+      <skos:definition>subdivision code for the province of Errachidia in the country of Morocco</skos:definition>
+      <rdfs:label>MA-ERR</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-ERR</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Errachidia"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Errachidia"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -1759,27 +1999,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Guelmim
+    // Settat
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Guelmim">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Settat">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Guelmim</rdfs:label>
-      <skos:definition>The province of Guelmim in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Guelmim-EsSemara"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Guelmim</lcc-cr:hasLocalShortName>
+      <rdfs:label>Settat</rdfs:label>
+      <skos:definition>The province of Settat in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Draa-Tafilalet"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Settat</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-GUE">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-SET">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Guelmim in the country of Morocco</skos:definition>
-      <rdfs:label>MA-GUE</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-GUE</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Guelmim"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Guelmim"/>
+      <skos:definition>subdivision code for the province of Settat in the country of Morocco</skos:definition>
+      <rdfs:label>MA-SET</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-SET</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Settat"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Settat"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -1789,27 +2029,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Tata
+    // Casablanca
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Tata">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Casablanca">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Tata</rdfs:label>
-      <skos:definition>The province of Tata in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Guelmim-EsSemara"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Tata</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
+      <rdfs:label>Casablanca</rdfs:label>
+      <skos:definition>The prefecture of Casablanca in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Draa-Tafilalet"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Casablanca</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Prefecture"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-TAT">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-CAS">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Tata in the country of Morocco</skos:definition>
-      <rdfs:label>MA-TAT</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-TAT</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Tata"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Tata"/>
+      <skos:definition>subdivision code for the prefecture of Casablanca in the country of Morocco</skos:definition>
+      <rdfs:label>MA-CAS</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-CAS</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Casablanca"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Casablanca"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -1819,27 +2059,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Assa-Zag
+    // Ouarzazate
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Assa-Zag">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Ouarzazate">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Assa-Zag</rdfs:label>
-      <skos:definition>The province of Assa-Zag in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Guelmim-EsSemara"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Assa-Zag</lcc-cr:hasLocalShortName>
+      <rdfs:label>Ouarzazate</rdfs:label>
+      <skos:definition>The province of Ouarzazate in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Draa-Tafilalet"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Ouarzazate</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-ASZ">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-OUA">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Assa-Zag in the country of Morocco</skos:definition>
-      <rdfs:label>MA-ASZ</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-ASZ</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Assa-Zag"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Assa-Zag"/>
+      <skos:definition>subdivision code for the province of Ouarzazate in the country of Morocco</skos:definition>
+      <rdfs:label>MA-OUA</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-OUA</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Ouarzazate"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Ouarzazate"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -1849,27 +2089,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Es Smara (EH)
+    // Zagora
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;EsSmara">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Zagora">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Es Smara (EH)</rdfs:label>
-      <skos:definition>The province of Es Smara (EH) in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Guelmim-EsSemara"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Es Smara (EH)</lcc-cr:hasLocalShortName>
+      <rdfs:label>Zagora</rdfs:label>
+      <skos:definition>The province of Zagora in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Draa-Tafilalet"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Zagora</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-ESM">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-ZAG">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Es Smara (EH) in the country of Morocco</skos:definition>
-      <rdfs:label>MA-ESM</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-ESM</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;EsSmara"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;EsSmara"/>
+      <skos:definition>subdivision code for the province of Zagora in the country of Morocco</skos:definition>
+      <rdfs:label>MA-ZAG</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-ZAG</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Zagora"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Zagora"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -1881,27 +2121,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Taza-Al Hoceima-Taounate
+    // Dakhla-Oued Ed-Dahab (EH)
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Taza-AlHoceima-Taounate">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Dakhla-OuedEd-Dahab">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Taza-Al Hoceima-Taounate</rdfs:label>
-      <skos:definition>The region of Taza-Al Hoceima-Taounate in the country of Morocco</skos:definition>
+      <rdfs:label>Dakhla-Oued Ed-Dahab (EH)</rdfs:label>
+      <skos:definition>The region of Dakhla-Oued Ed-Dahab (EH) in the country of Morocco</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Morocco"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Taza-Al Hoceima-Taounate</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Dakhla-Oued Ed-Dahab (EH)</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Region"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-03">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-12">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the region of Taza-Al Hoceima-Taounate in the country of Morocco</skos:definition>
-      <rdfs:label>MA-03</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-03</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Taza-AlHoceima-Taounate"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Taza-AlHoceima-Taounate"/>
+      <skos:definition>subdivision code for the region of Dakhla-Oued Ed-Dahab (EH) in the country of Morocco</skos:definition>
+      <rdfs:label>MA-12</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-12</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Dakhla-OuedEd-Dahab"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Dakhla-OuedEd-Dahab"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -1909,27 +2149,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Taza
+    // Aousserd (EH)
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Taza">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Aousserd">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Taza</rdfs:label>
-      <skos:definition>The province of Taza in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Taza-AlHoceima-Taounate"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Taza</lcc-cr:hasLocalShortName>
+      <rdfs:label>Aousserd (EH)</rdfs:label>
+      <skos:definition>The province of Aousserd (EH) in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Dakhla-OuedEd-Dahab"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Aousserd (EH)</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-TAZ">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-AOU">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Taza in the country of Morocco</skos:definition>
-      <rdfs:label>MA-TAZ</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-TAZ</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Taza"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Taza"/>
+      <skos:definition>subdivision code for the province of Aousserd (EH) in the country of Morocco</skos:definition>
+      <rdfs:label>MA-AOU</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-AOU</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Aousserd"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Aousserd"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
